claw::meta::split_type_list_at< Delimiter, no_type > Struct Template Reference

Specialisation of split_type_list_at for an empty list or the case where the delimiter is no_type. More...

`#include <type_list.hpp>`

## Public Types

typedef no_type | left_part_type
| There is no left part if there is no list.
typedef no_type | right_part_type
| There is no right part if there is no list.

## Detailed Description

template<typename Delimiter>
struct claw::meta::split_type_list_at< Delimiter, no_type >

Specialisation of split_type_list_at for an empty list or the case where the delimiter is no_type.

Definition at line 82 of file type_list.hpp.

## Member Typedef Documentation

## left_part_type

template<typename Delimiter>

typedef no_type claw::meta::split_type_list_at< Delimiter, no_type >::left_part_type

There is no left part if there is no list.

Definition at line 85 of file type_list.hpp.

## right_part_type

template<typename Delimiter>

typedef no_type claw::meta::split_type_list_at< Delimiter, no_type >::right_part_type

There is no right part if there is no list.

Definition at line 88 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp